## python-setuptools 26.1.1

=== debian/changelog ===
python-setuptools (26.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Aug 2016 08:17:49 +0200

python-setuptools (26.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 29 Aug 2016 20:48:21 +0200

=== debian/control ===
Source: python-setuptools
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 pypy,
 python-all,
 python3-all,
 python3-sphinx,
 python3-wheel
Build-Conflicts: python-setuptools, python3-setuptools
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/setuptools

Package: python-pkg-resources
Suggests: python-setuptools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python-setuptools
Architecture: all
Multi-Arch: foreign
Depends:
 python-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-setuptools-doc
Provides: python-distribute
Description: Python Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

Package: python-setuptools-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python Distutils Enhancements (documentation)
 Extensions to the Python distutils for large or complex distributions.
 The package contains the documentation in html format.

Package: python3-pkg-resources
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-setuptools
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: python3-setuptools
Architecture: all
Multi-Arch: foreign
Depends:
 python3-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends}
Suggests: python-setuptools-doc
Description: Python3 Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

Package: pypy-pkg-resources
Suggests: pypy-setuptools
Architecture: all
Depends: ${misc:Depends}, ${pypy:Depends}
Description: Package Discovery and Resource Access using pkg_resources
 The pkg_resources module provides an API for Python libraries to
 access their resource files, and for extensible applications and
 frameworks to automatically discover plugins.  It also provides
 runtime support for using C extensions that are inside zipfile-format
 eggs, support for merging packages that have separately-distributed
 modules or subpackages, and APIs for managing Python's current
 "working set" of active packages.

Package: pypy-setuptools
Architecture: all
Multi-Arch: foreign
Depends:
 pypy-pkg-resources (= ${binary:Version}),
 ${misc:Depends},
 ${pypy:Depends}
Suggests: python-setuptools-doc
Description: PyPy Distutils Enhancements
 Extensions to the python-distutils for large or complex distributions.

#Package: python-setuptools-whl
#Architecture: all
#Depends: ${misc:Depends}
#Description: Python Distutils Enhancements (wheel package)
# Extensions to the python-distutils for large or complex distributions.
# .
# This package provides setuptools in PEP 427 wheel format.

## python-setuptools 27.1.2

=== debian/changelog ===
python-setuptools (27.1.2-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Sep 2016 15:18:28 +0000

python-setuptools (27.1.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 10 Sep 2016 03:38:14 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: python-pkg-resources
 Suggests: python-setuptools
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python:Depends}
 Description: Package Discovery and Resource Access using pkg_resources
  The pkg_resources module provides an API for Python libraries to
@@ -49,6 +50,7 @@
 
 Package: python3-pkg-resources
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${python3:Depends}
 Suggests: python3-setuptools
 Description: Package Discovery and Resource Access using pkg_resources
@@ -74,6 +76,7 @@
 Package: pypy-pkg-resources
 Suggests: pypy-setuptools
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${pypy:Depends}
 Description: Package Discovery and Resource Access using pkg_resources
  The pkg_resources module provides an API for Python libraries to

## python-setuptools 28.0.0

=== debian/changelog ===
python-setuptools (28.0.0-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Sep 2016 10:47:13 +0000

python-setuptools (28.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Sep 2016 02:18:01 +0200

## python-setuptools 28.7.1

=== debian/changelog ===
python-setuptools (28.7.1-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Matthias Klose <doko@debian.org>  Tue, 15 Nov 2016 12:12:31 +0000

python-setuptools (28.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 02 Nov 2016 16:13:06 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
  python3-sphinx,
  python3-wheel
-Build-Conflicts: python-setuptools, python3-setuptools
+Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
 Standards-Version: 3.9.8
 Homepage: https://pypi.python.org/pypi/setuptools

## python-setuptools 32.3.1

=== docs/requirements.txt ===
rst.linker>=1.6.1

=== debian/changelog ===
python-setuptools (32.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 09 Jan 2017 00:07:07 +0100

python-setuptools (32.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Generate reproducible install_files.txt (Chris Lamb). Closes: #848136.

 -- Matthias Klose <doko@debian.org>  Thu, 15 Dec 2016 12:48:40 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,python3,pypy,sphinxdoc --buildsystem pybuild

# no versioned easy_install scripts
export SETUPTOOLS_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT = yes

# versioned easy_install scripts
#export XPYVERSIONS  = 2.7
#export XPY3VERSIONS = 3.4 3.5

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html

#	mkdir -p debian/python-setuptools-whl/usr/share/python-wheels
#	python3 setup.py bdist_wheel --universal \
#	        -d debian/python-setuptools-whl/usr/share/python-wheels

	# dh_pypy from dh-python < 1.20150705-1 falls over requires.txt
	# and our requires.txt aren't useful
	find debian/tmp -name requires.txt -delete

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_clean:
	# Keep entry_points, we need it to drive setup.py
	-mv setuptools.egg-info/entry_points.txt .
	dh_auto_clean
	mkdir -p setuptools.egg-info
	mv entry_points.txt setuptools.egg-info

	rm -rf .eggs docs/build

override_dh_install:
	sed -i '1 s,.*,#!/usr/bin/python,' debian/tmp/usr/bin/easy_install
	sed '1 s/python/python3/' debian/tmp/usr/bin/easy_install > \
	   debian/tmp/usr/bin/easy_install3
	sed '1 s/python/pypy/' debian/tmp/usr/bin/easy_install > \
	   debian/tmp/usr/bin/easy_install-pypy
	dh_install

override_dh_installdocs:
	dh_installdocs -p python-pkg-resources -p python3-pkg-resources \
	               -p pypy-pkg-resources \
	               docs/pkg_resources.txt
	dh_installdocs -p python-setuptools -p python3-setuptools \
	               -p pypy-setuptools \
	               -X pkg_resources docs/*.txt
	dh_installdocs -p python-setuptools-doc docs/build/html
	dh_installdocs --remaining-packages
	dh_link -p python-setuptools-doc \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/python-setuptools/html \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/python3-setuptools/html \
	        /usr/share/doc/python-setuptools-doc/html \
	        /usr/share/doc/pypy-setuptools/html

## python-setuptools 33.1.1

=== debian/changelog ===
python-setuptools (33.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Generate sorted requires.txt files. Closes: #804249.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 18:02:25 +0100

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
 
 Package: python-setuptools-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Python Distutils Enhancements (documentation)

## python-setuptools 36.2.7

=== debian/changelog ===
python-setuptools (36.2.7-2~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sun, 06 Aug 2017 14:45:37 +0000

python-setuptools (36.2.7-2) unstable; urgency=medium

  * Add d/patches/fix-invalid-escapes.diff to prevent warnings from appearing
    on stderr and causing autopkgtests to fail (Michael Hudson-Doyle).

 -- Matthias Klose <doko@debian.org>  Sat, 05 Aug 2017 11:16:52 -0400

python-setuptools (36.2.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 04 Aug 2017 08:11:49 -0400

python-setuptools (36.0.1-1) unstable; urgency=medium

  * New upstream version.
  * Generate entry points for 3.6.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Jun 2017 15:12:53 +0200

## python-setuptools 38.5.2

=== debian/changelog ===
python-setuptools (38.5.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 09 Mar 2018 15:17:32 +0700

python-setuptools (38.4.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Jan 2018 11:46:56 +0100

python-setuptools (38.2.4-2) unstable; urgency=medium

  * python3-setuptools: Depend on python3-distutils.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2017 02:06:50 +0100

python-setuptools (38.2.4-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Dec 2017 19:55:21 +0100

python-setuptools (36.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 12:20:17 +0100

python-setuptools (36.6.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Nov 2017 05:45:52 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # versioned easy_install scripts
 #export XPYVERSIONS  = 2.7
-#export XPY3VERSIONS = 3.4 3.5
+export XPY3VERSIONS = 3.5 3.6
 
 override_dh_auto_test:

## python-setuptools 39.0.1

=== debian/changelog ===
python-setuptools (39.0.1-2ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: ReDOS in package_index.py
    - debian/patches/CVE-2022-40897.patch: Limit the amount of
      whitespace to search/backtrack in setuptools/package_index.py.
    - CVE-2022-40897

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 19 Jan 2023 16:28:19 +0100

python-setuptools (39.0.1-2) unstable; urgency=medium

  * Make the PKG-INFO output reproducible (Chris Lamb). Closes: #894215.
  * Stop shipping the easy_install scripts.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 11:46:01 +0200

python-setuptools (39.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 25 Mar 2018 13:29:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-setuptools
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -11,7 +12,7 @@
  python3-sphinx,
  python3-wheel
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources
@@ -68,6 +69,7 @@
 Multi-Arch: foreign
 Depends:
  python3-pkg-resources (= ${binary:Version}),
+ python3-distutils,
  ${misc:Depends},
  ${python3:Depends}
 Suggests: python-setuptools-doc

=== debian/rules ===
--- 
+++ 
@@ -43,6 +43,7 @@
 	   debian/tmp/usr/bin/easy_install3
 	sed '1 s/python/pypy/' debian/tmp/usr/bin/easy_install > \
 	   debian/tmp/usr/bin/easy_install-pypy
+	rm -f debian/tmp/usr/bin/easy_install*
 	dh_install
 
 override_dh_installdocs:

## python-setuptools 40.2.0

=== debian/changelog ===
python-setuptools (40.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 31 Aug 2018 12:10:30 +0200

python-setuptools (39.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 16 Jun 2018 04:43:17 +0200

python-setuptools (39.1.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 12 May 2018 15:44:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-setuptools
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -12,7 +11,7 @@
  python3-sphinx,
  python3-wheel
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources

## python-setuptools 40.8.0

=== debian/changelog ===
python-setuptools (40.8.0-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the ELTS Security Team.
  * CVE-2022-40897: Regular Expression Denial of Service (ReDoS) in
    package_index.py
  * CVE-2024-6345: A vulnerability in the package_index module allows for
    remote code execution via its download functions. These functions, which
    are used to download packages from URLs provided by users or retrieved
    from package index servers, are susceptible to code injection. If these
    functions are exposed to user-controlled inputs, such as package URLs,
    they can execute arbitrary commands on the system.
  * CVE-2025-47273: A path traversal vulnerability in `PackageIndex`. An
    attacker would be allowed to write files to arbitrary locations on the
    filesystem with the permissions of the process running the Python code,
    which could escalate to remote code execution depending on the context.
  * Run autopkgtests for the CVEs.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 04 Aug 2025 09:29:53 +0200

python-setuptools (40.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Feb 2019 14:36:03 +0100

python-setuptools (40.7.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Feb 2019 15:50:37 +0100

python-setuptools (40.6.3-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Jan 2019 11:49:41 +0100

python-setuptools (40.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Dec 2018 11:42:29 +0100

python-setuptools (40.5.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 06 Nov 2018 09:30:02 +0100

python-setuptools (40.4.3-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Oct 2018 12:11:52 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-wheel
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources

=== debian/tests/control ===
# only test latest CVEs (other tests are broken)
Test-Command: py.test setuptools/tests/test_packageindex.py
Depends: @, python-pytest, python-mock

## python-setuptools 41.1.0

=== debian/changelog ===
python-setuptools (41.1.0-1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Sat, 17 Aug 2019 18:30:49 +0000

python-setuptools (41.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 17 Aug 2019 13:52:19 +0200

python-setuptools (41.0.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Jun 2019 17:49:32 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-sphinx,
  python3-wheel
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources

## python-setuptools 44.0.0

=== debian/changelog ===
python-setuptools (44.0.0-2ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: ReDOS in package_index.py
    - debian/patches/CVE-2022-40897.patch: Limit the amount of
      whitespace to search/backtrack in setuptools/package_index.py.
    - CVE-2022-40897

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 19 Jan 2023 16:26:49 +0100

python-setuptools (44.0.0-2) unstable; urgency=medium

  * Stop building the Python3 packages and the -doc package.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Feb 2020 13:40:29 +0100

python-setuptools (44.0.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Jan 2020 12:25:00 +0100

python-setuptools (41.4.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 16:02:41 +0200

python-setuptools (41.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Sep 2019 08:34:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-setuptools
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
  debhelper (>= 9),
  dh-python,
@@ -9,9 +10,10 @@
  python-all,
  python3-all,
  python3-sphinx,
- python3-wheel
+ python3-wheel,
+ python-setuptools-doc (>= 45)
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/setuptools
 
 Package: python-pkg-resources
@@ -38,41 +40,6 @@
 Suggests: python-setuptools-doc
 Provides: python-distribute
 Description: Python Distutils Enhancements
- Extensions to the python-distutils for large or complex distributions.
-
-Package: python-setuptools-doc
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Description: Python Distutils Enhancements (documentation)
- Extensions to the Python distutils for large or complex distributions.
- The package contains the documentation in html format.
-
-Package: python3-pkg-resources
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${python3:Depends}
-Suggests: python3-setuptools
-Description: Package Discovery and Resource Access using pkg_resources
- The pkg_resources module provides an API for Python libraries to
- access their resource files, and for extensible applications and
- frameworks to automatically discover plugins.  It also provides
- runtime support for using C extensions that are inside zipfile-format
- eggs, support for merging packages that have separately-distributed
- modules or subpackages, and APIs for managing Python's current
- "working set" of active packages.
-
-Package: python3-setuptools
-Architecture: all
-Multi-Arch: foreign
-Depends:
- python3-pkg-resources (= ${binary:Version}),
- python3-distutils,
- ${misc:Depends},
- ${python3:Depends}
-Suggests: python-setuptools-doc
-Description: Python3 Distutils Enhancements
  Extensions to the python-distutils for large or complex distributions.
 
 Package: pypy-pkg-resources

## python-setuptools 44.1.1

=== docs/requirements.txt ===
sphinx!=1.8.0
rst.linker>=1.9
jaraco.packaging>=6.1

setuptools>=34

=== debian/changelog ===
python-setuptools (44.1.1-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Sun, 02 Aug 2020 14:20:55 +0200

python-setuptools (44.0.0-3) unstable; urgency=medium

  * Update debian/copyright, add license for the vendored packaging module.
    Closes: #958318.

 -- Matthias Klose <doko@debian.org>  Wed, 13 May 2020 15:09:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: python-setuptools
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  pypy,
  python-all,
  python3-all,
  python3-sphinx,
  python3-wheel,
- python-setuptools-doc (>= 45)
 Build-Conflicts: python-setuptools, python3-setuptools, pypy-setuptools
 Standards-Version: 4.5.0
 Homepage: https://pypi.python.org/pypi/setuptools

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2,pypy,sphinxdoc --buildsystem pybuild

# no versioned easy_install scripts
export SETUPTOOLS_DISABLE_VERSIONED_EASY_INSTALL_SCRIPT = yes

# versioned easy_install scripts
#export XPYVERSIONS  = 2.7

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install

	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html

#	mkdir -p debian/python-setuptools-whl/usr/share/python-wheels
#	python3 setup.py bdist_wheel --universal \
#	        -d debian/python-setuptools-whl/usr/share/python-wheels

	# dh_pypy from dh-python < 1.20150705-1 falls over requires.txt
	# and our requires.txt aren't useful
	find debian/tmp -name requires.txt -delete

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_auto_clean:
	# Keep entry_points, we need it to drive setup.py
	-mv setuptools.egg-info/entry_points.txt .
	dh_auto_clean
	mkdir -p setuptools.egg-info
	mv entry_points.txt setuptools.egg-info

	rm -rf .eggs docs/build

override_dh_install:
	sed -i '1 s,.*,#!/usr/bin/python,' debian/tmp/usr/bin/easy_install
	sed '1 s/python/pypy/' debian/tmp/usr/bin/easy_install > \
	   debian/tmp/usr/bin/easy_install-pypy
	rm -f debian/tmp/usr/bin/easy_install*
	dh_install

override_dh_installdocs:
	dh_installdocs -p python-pkg-resources \
	               -p pypy-pkg-resources \
	               docs/pkg_resources.txt
	dh_installdocs -p python-setuptools \
	               -p pypy-setuptools \
	               -X pkg_resources docs/*.txt
	dh_installdocs --remaining-packages

=== debian/watch ===
version=3
http://pypi.debian.net/setuptools/setuptools-(44.*)\.(?:tar\.gz|zip)
